curl --request GET \
--url https://api.blaxel.ai/v0/agents/{agentName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/agents/{agentName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/agents/{agentName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"enabled": true,
"policies": [
"<string>"
],
"public": false,
"region": "us-pdx-1",
"repository": {
"type": "github",
"url": "https://github.com/my-org/my-agent"
},
"revision": {
"active": "rev-abc123",
"canary": "<string>",
"canaryPercent": 10,
"stickySessionTtl": 0,
"traffic": 100
},
"runtime": {
"envs": [
{
"name": "MY_ENV_VAR",
"secret": true,
"value": "my-value"
}
],
"generation": "mk3",
"image": "<string>",
"maxScale": 10,
"memory": 2048,
"minScale": 0
},
"triggers": [
{
"configuration": {
"authenticationType": "blaxel",
"callbackSecret": "<string>",
"callbackUrl": "https://myapp.com/webhook",
"path": "/invoke",
"retry": 3,
"schedule": "0 * * * *",
"tasks": [
{}
],
"timeout": 300
},
"enabled": true,
"id": "trigger-1",
"type": "http"
}
],
"volumes": [
{
"mountPath": "/mnt/data",
"name": "my-volume",
"readOnly": false
}
]
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
]
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}Get agent
Returns detailed information about an agent including its current deployment status, configuration, events history, and inference endpoint URL.
Authorizations
OAuth2 authentication with JWT tokens
Path Parameters
Unique name identifier of the agent
Query Parameters
Show secret values (requires workspace admin role)
Response
successful operation
Serverless AI agent deployment that runs your custom agent code as an auto-scaling API endpoint. Agents are deployed from your code repository and expose a global inference URL for querying.
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Show child attributes
Configuration for an AI agent including runtime settings, repository source, and deployment triggers
Show child attributes
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Show child attributes
Deployment status of a resource deployed on Blaxel
DELETING, TERMINATED, FAILED, DEACTIVATED, DEACTIVATING, UPLOADING, BUILDING, DEPLOYING, DEPLOYED, BUILT Was this page helpful?
